---
title: "Get all folders"
url: "https://docs.signnow.com/docs/folder/operations/get-all-folders"
type: "endpoint"
section: "folder"
slug: "folder/operations/get-all-folders"
method: "GET"
path: "/user/folder"
operation_id: "get-all-folders"
authorization: "bearer"
---

# Get all folders

`GET /user/folder`

Returns all folders of a user. You can use the identical newer version of this endpoint under `https://api.signnow.com/folder`.

You can adjust the response produced by this endpoint using the following query parameters:

**filters=signing-status&filter-values** - allows showing documents with specific status
<br>allowed values: signed, pending, waiting-for-me, waiting-for-others,unsent 

**filters=documents-created&filter-values** - shows documents that were created started from specific date (note: this filter is not applicable for Templates)
<br>allowed values: Unix timestamp

**filters=documents-updated&filter-values** - shows documents that were updated started from specific date (note: this filter is not applicable for Templates)
<br>allowed values: Unix timestamp

**sortby=created&order** - sorts documents by creation date in descending or ascending order
<br>allowed values: desc, asc

**sortby=updated&order** - sorts documents by update date
<br>allowed values: desc, asc

**sortby=recently_used** - Sort templates by date of the last sending of the invite. Applies to system Template folders and custom Template folders. Default value: `desc`
<br>allowed values: desc, asc

**limit** - displays specified number of documents; Max limit is 100. It means that if value of "limit" parameter exceeds 100, response is automatically limited to 100 documents.
<br>allowed values: integer

**offset** - displays documents from specified position
<br>allowed values: integer

**subfolder-data** - defines whether to include subfolders to the response. Allowed values: `1`, `0`. Must be used with the query parameter `include_documents_subfolders`.

**include_documents_subfolders** - whether to include subfolders to the response. Allowed values: `1`, `0`. Must be used with the query parameter `subfolder-data`.

**with_team_documents** - allows displaying "Team Documents" folders.
<br>allowed values: true, false (i.e. with_team_documents=true)


The short list of document info is:

```
{
"id": " ",
"user_id": " ",
"document_name": " ",
"page_count": " ",
"created": " ",
"updated": " ",
"original_filename": " "
"is_favorite": true/false
}
```

**only_favorites** - shows only favorites documents and document groups. Default value - false
<br>allowed values: true, false

**entity_type** - defines which entities should be counted in the `document_count` and `template_count` attributes in the reponse.
<br>Allowed values: 
- `document-all` - default value, counts only documents or only templates (depends on the type of folder). 
- `all` - counts all kinds of entities in the folder: 
  * `Documents` folder with its subfolders, `Archive` folder with its subfolders - counts documents including documents that belong to document groups.
  * `Templates` folder and its subfolders - counts templates and document group templates.
  * `Trash` folder - counts all documents, document groups, templates, document group templates.
- `document` - counts documents only, doesn't count documents that belong to document groups. Works for `Documents`, `Archive`, and `Trash` folders.
- `document-group` - counts documents that belong to document groups only. Works for `Documents`, `Archive`, and `Trash` folders.
- `template` - counts templates only. Works for `Templates` and `Trash` folders.
- `dgt` - counts document group templates only. Works for `Templates` and `Trash` folders.

## Authorization

bearer

## Responses

### 200

* Success
* With document group invite where user is the owner
* With document group invite where user is the signer
* With viewer field invites


**Example** (`Success`)

```json
{
  "id": "38XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "name": "Root Folder",
  "shared": false,
  "created": "1532531633",
  "folders": [
    {
      "id": "25XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "Templates",
      "shared": false,
      "created": "1532531633",
      "user_id": "89XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "sub_folders": [],
      "folder_count": "0",
      "document_count": "0",
      "template_count": "11"
    },
    {
      "id": "3bXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "Team Templates",
      "shared": true,
      "created": "1557915422",
      "team_id": "c3XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "user_id": "89XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "team_name": "Sample team",
      "team_type": "VIEWABLE",
      "sub_folders": [],
      "folder_count": "0",
      "document_count": "0",
      "template_count": "3"
    },
    {
      "id": "54XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "Team Templates",
      "shared": true,
      "created": "1543922139",
      "team_id": "96XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "user_id": "89XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "team_name": "My team",
      "team_type": "VIEWABLE",
      "sub_folders": [],
      "folder_count": "0",
      "document_count": "0",
      "template_count": "1"
    },
    {
      "id": "83XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "Archive",
      "shared": false,
      "created": "1532531633",
      "user_id": "89XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "sub_folders": [],
      "folder_count": "0",
      "document_count": "21",
      "template_count": 0
    },
    {
      "id": "9eXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "Trash Bin",
      "shared": false,
      "created": "1567466970",
      "user_id": "89XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "sub_folders": [],
      "folder_count": "0",
      "document_count": "0",
      "template_count": 0
    },
    {
      "id": "c8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "Documents",
      "shared": false,
      "created": "1532531633",
      "user_id": "89XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "sub_folders": [],
      "folder_count": "0",
      "document_count": "74",
      "template_count": 0
    }
  ],
  "user_id": "89XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "documents": [],
  "parent_id": null,
  "system_folder": false,
  "total_documents": 0
}
```

**Example** (`With viewer field invites`)

```json
{
  "id": "a9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "name": "Documents",
  "shared": false,
  "created": "1616586778",
  "folders": [],
  "user_id": "30XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "documents": [
    {
      "id": "cdXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "owner": "document-owner@email.com",
      "created": 1616586981,
      "invites": [
        {
          "email": "signer@email.com",
          "order": "1",
          "action": "sign",
          "status": "fulfilled",
          "document_id": "06XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "document_name": "Performance review",
          "authentication": null,
          "expiration_time": null
        },
        {
          "email": "manager@email.com",
          "order": "2",
          "action": "sign",
          "status": "fulfilled",
          "document_id": "06XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "document_name": "Performance review",
          "authentication": null,
          "expiration_time": null
        },
        {
          "order": "2",
          "action": "view",
          "status": "pending",
          "document_id": "06XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "email_group": {
            "id": "e7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
            "name": "HR team"
          },
          "document_name": "Performance review",
          "authentication": null,
          "expiration_time": 1618210633
        }
      ],
      "updated": 1616586981,
      "user_id": "30XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "documents": [
        {
          "id": "d2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "name": "sample",
          "roles": [
            "Signer 1",
            "Manager"
          ]
        }
      ],
      "invite_id": "eeXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "document_group_name": "Document Group 24-3-2021",
      "viewer_field_invites": [
        {
          "id": "eeXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "email_group": {
            "id": "e7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
            "name": "HR team"
          }
        }
      ]
    }
  ],
  "parent_id": "66XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "system_folder": true,
  "total_documents": 1
}
```

**Example** (`With document group where user is a signer`)

```json
{
  "id": "a9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "name": "Documents",
  "shared": false,
  "created": "1616586778",
  "folders": [],
  "user_id": "30XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "documents": [
    {
      "id": "cdXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "owner": "owner-email@email.com",
      "created": 1616586981,
      "updated": 1616586981,
      "user_id": "30XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "documents": [
        {
          "id": "d2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "name": "sample",
          "roles": [
            "Signer 1",
            "Signer 2"
          ],
          "field_invites": [
            {
              "id": "e4XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
              "email_group": {
                "id": "f6XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "name": "Contact group"
              }
            },
            {
              "id": "u8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
              "email_group": {
                "id": "c2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
                "name": "Contact group"
              }
            }
          ]
        }
      ],
      "invite_id": "eeXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "document_group_name": "Document Group 24-3-2021"
    }
  ],
  "parent_id": "66XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "system_folder": true,
  "total_documents": 1
}
```

**Example** (`With document group invite where user is the owner`)

```json
{
  "id": "a9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "name": "Documents",
  "shared": false,
  "created": "1616586778",
  "folders": [],
  "user_id": "30XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "documents": [
    {
      "id": "cdXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "owner": "document-owner@email.com",
      "created": 1616586981,
      "invites": [
        {
          "email": "signer@email.com",
          "order": "1",
          "action": "sign",
          "status": "fulfilled",
          "document_id": "06XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "document_name": "Performance review",
          "authentication": null,
          "expiration_time": null
        },
        {
          "email": "manager@email.com",
          "order": "2",
          "action": "sign",
          "status": "fulfilled",
          "document_id": "06XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "document_name": "Performance review",
          "authentication": null,
          "expiration_time": null
        },
        {
          "order": "2",
          "action": "view",
          "status": "pending",
          "document_id": "06XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "email_group": {
            "id": "e7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
            "name": "HR team"
          },
          "document_name": "Performance review",
          "authentication": null,
          "expiration_time": 1618210633
        }
      ],
      "updated": 1616586981,
      "user_id": "30XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "documents": [
        {
          "id": "d2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "name": "sample",
          "roles": [
            "Signer 1",
            "Manager"
          ]
        }
      ],
      "invite_id": "eeXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "document_group_name": "Document Group 24-3-2021"
    }
  ],
  "parent_id": "66XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "system_folder": true,
  "total_documents": 1
}
```

### 400

* Get info about specific folder which doesn't belong to the user

**Example** (`Get info about specific folder which doesn't belong to the user`)

```json
{
  "code": 65611,
  "message": "Resource doesn't exist"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/user/folder" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/folder/operations/get-all-folders*
